# Stored daily candles for a market, replayed

URL: https://docs.fxapis.com/api-reference/marketlabs/stored-daily-candles-for-a-market-replayed

> Stored daily candles for a market, replayed.

`GET https://api.fxapis.com/v1/marketlabs/markets/{symbol}/replay`

Authentication: `Authorization: Bearer <API key>`.

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `symbol` | path | string | yes | Instrument, such as EURUSD. |

#### Responses

- `200`
- `400`
- `401`
- `402`
- `403`
- `404`
- `409`
- `503`

Failures return `{ "error": { "code", "message" } }`; every code is listed at https://docs.fxapis.com/errors.

#### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | object | yes |  |
| `data.symbol` | string | yes |  |
| `data.source` | string | yes |  |
| `data.candles` | object[] | yes |  |
| `data.candles[].time` | integer | yes | Unix seconds. |
| `data.candles[].open` | string | yes |  |
| `data.candles[].high` | string | yes |  |
| `data.candles[].low` | string | yes |  |
| `data.candles[].close` | string | yes |  |
| `data.barSize` | string | yes |  |
| `data.days` | 1 \| 5 \| 20 | yes |  |
| `data.tooCoarseFor` | string[] | no | Replay speeds too coarse for this bar size. |
| `data.headlines` | object[] | no |  |
| `data.positioning` | null \| object | no |  |
| `data.positioning.symbol` | string | no |  |
| `data.positioning.reportDate` | string | no |  |
| `data.positioning.noncommercialNet` | string | no |  |
| `data.positioning.commercialNet` | string | no |  |
| `data.positioning.source` | string | no |  |
| `data.positioning.caption` | string | no |  |
| `data.treasury10y` | null \| object | no |  |
| `data.treasury10y.value` | string | no |  |
| `data.treasury10y.asOf` | string | no |  |
| `data.treasury10y.source` | string | no |  |
| `data.treasury10y.caption` | string | no |  |
| `requestId` | string | yes |  |